<div class="atp-app-more-details">
  <ul class="list-group">
    <li class="list-group-item">Add Invoice</li>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
      <li class="list-group-item" (click)="addTreatmentNote()" *ngIf="isServiceAdded && (data.status == STATUS_PENDING || data.status == STATUS_COMPLETED) && (!data.treatmentNotesStatus || data.treatmentNotesStatus.length == 0)">Add Treatment Notes</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
      <li class="list-group-item" (click)="addTreatmentNote(true)" *ngIf="data.treatmentNotesStatus && data.treatmentNotesStatus.length > 0">Edit Treatment Notes</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
      <li class="list-group-item" (click)="addLetter()" *ngIf="(data.status == STATUS_PENDING || data.status == STATUS_COMPLETED) && (!data.patientLetterStatus || data.patientLetterStatus.length == 0)">Add Letter</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
      <li class="list-group-item" (click)="addLetter(true)" *ngIf="data.patientLetterStatus && data.patientLetterStatus.length > 0">Edit Letter</li>
    </ng-container>
    <li class="list-group-item">Send Form</li>
    <li class="list-group-item">Send SMS</li>
    <li class="list-group-item atp-list-disabled">Send Email</li>
  </ul>
</div>

<ng-template #serviceSelectionTemplate>
  <div style="padding: 20px;">
    <div class="w-100 text-right">
      <div class="required-label-top">Required</div>
    </div>
    <mat-form-field appearance="outline" class="full-width">
      <mat-label>Select Service</mat-label>
      <app-dropdown-search [formControl]="selectedService" [data]="serviceList" valueField="id"
                           textField="title"></app-dropdown-search>
      <mat-error *ngIf="selectedService.hasError('required')">
        This field is required
      </mat-error>
    </mat-form-field>
  </div>
</ng-template>
